#include <Wire.h> 
#include <LiquidCrystal_I2C.h>

// Set the LCD address to 0x27 for a 16 chars and 2 line display
// LiquidCrystal_I2C lcd(0x27, 16, 2);
LiquidCrystal_I2C lcd(0x3F, 20, 4);


// make some custom characters:
byte heart[8] = {
  0b00000,
  0b01010,
  0b11111,
  0b11111,
  0b11111,
  0b01110,
  0b00100,
  0b00000
};


byte graden[8] = {
  0b01000,
  0b10100,
  0b10100,
  0b01000,
  0b00000,
  0b00000,
  0b00000,
  0b00000
};

/*

byte graden[8] = {
  0b11100,
  0b10100,
  0b11100,
  0b00000,
  0b00000,
  0b00000,
  0b00000,
  0b00000
};


byte graden[8] = {
  0b01000,
  0b10100,
  0b01000,
  0b00000,
  0b00000,
  0b00000,
  0b00000,
  0b00000
};
 
 */


void setup()
{
	// initialize the LCD
	lcd.init();

	// Turn on the blacklight and print a message.
	lcd.backlight();
	lcd.print("Hello, world!");
  // create a new character

  lcd.createChar(0, heart);

  lcd.setCursor(1, 1);


  // Print a message to the lcd.
  lcd.print("I ");
  lcd.write(byte(0)); // when calling lcd.write() '0' must be cast as a byte
  lcd.print(" Arduino! ");
  //lcd.write((byte)1);

  lcd.createChar(1, graden);

  lcd.setCursor(4, 2);
  lcd.write(byte(1)); // when calling lcd.write() '0' must be cast as a byte
  
  
}

void loop()
{
	// Do nothing here...
}
